A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
mod
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Numeric functions

## Functions
af_err | af_mod (af_array *out, const af_array lhs, const af_array rhs, const bool batch)
| C Interface to calculate the modulus.
array | mod (const array &lhs, const array &rhs)
array | mod (const array &lhs, const double rhs)
array | mod (const double lhs, const array &rhs)
AFAPI array | operator% (const array &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const bool &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const int &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const unsigned &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const char &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const unsigned char &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const long &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const unsigned long &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const long long &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const unsigned long long &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const double &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const float &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const cfloat &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const cdouble &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const bool &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const int &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const unsigned &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const char &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const unsigned char &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const long &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const unsigned long &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const long long &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const unsigned long long &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const double &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const float &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const cfloat &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const cdouble &rhs)
AFAPI array | operator% (const short &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const unsigned short &lhs, const array &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const short &rhs)
| Performs an modulo operation on two arrays or an array and a value.
AFAPI array | operator% (const array &lhs, const unsigned short &rhs)

## Detailed Description

Calculate the modulus.

Note
  This function only supports real inputs; complex inputs are not yet supported.

## Function Documentation

## ◆ af_mod()

af_err af_mod | ( | af_array * | out,
|  | const af_array | lhs,
|  | const af_array | rhs,
|  | const bool | batch )

C Interface to calculate the modulus.

Parameters

  [out] | out | modulus
  [in] | lhs | dividend
  [in] | rhs | divisor
  [in] | batch | batch mode

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ mod() [1/3]

array mod | ( | const array & | lhs,
|  | const array & | rhs )

C++ Interface to calculate the modulus.

Parameters

  [in] | lhs | dividend; can be an array or a scalar
  [in] | rhs | divisor; can be an array or a scalar

Returns
  modulus

## ◆ mod() [2/3]

array mod | ( | const array & | lhs,
|  | const double | rhs )

C++ Interface to calculate the modulus.

Parameters

  [in] | lhs | dividend; can be an array or a scalar
  [in] | rhs | divisor; can be an array or a scalar

Returns
  modulus

## ◆ mod() [3/3]

array mod | ( | const double | lhs,
|  | const array & | rhs )

C++ Interface to calculate the modulus.

Parameters

  [in] | lhs | dividend; can be an array or a scalar
  [in] | rhs | divisor; can be an array or a scalar

Returns
  modulus

## ◆ operator%() [1/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [2/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const bool & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [3/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const cdouble & | rhs )

## ◆ operator%() [4/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const cfloat & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [5/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const char & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [6/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const double & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [7/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const float & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [8/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const int & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [9/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const long & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [10/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const long long & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [11/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const short & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [12/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const unsigned & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [13/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const unsigned char & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [14/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const unsigned long & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [15/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const unsigned long long & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [16/31]

AFAPI array operator% | ( | const array & | lhs,
|  | const unsigned short & | rhs )

## ◆ operator%() [17/31]

AFAPI array operator% | ( | const bool & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [18/31]

AFAPI array operator% | ( | const cdouble & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [19/31]

AFAPI array operator% | ( | const cfloat & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [20/31]

AFAPI array operator% | ( | const char & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [21/31]

AFAPI array operator% | ( | const double & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [22/31]

AFAPI array operator% | ( | const float & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [23/31]

AFAPI array operator% | ( | const int & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [24/31]

AFAPI array operator% | ( | const long & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [25/31]

AFAPI array operator% | ( | const long long & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [26/31]

AFAPI array operator% | ( | const short & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [27/31]

AFAPI array operator% | ( | const unsigned & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [28/31]

AFAPI array operator% | ( | const unsigned char & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [29/31]

AFAPI array operator% | ( | const unsigned long & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [30/31]

AFAPI array operator% | ( | const unsigned long long & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`

## ◆ operator%() [31/31]

AFAPI array operator% | ( | const unsigned short & | lhs,
|  | const array & | rhs )

Performs an modulo operation on two arrays or an array and a value.

Parameters

  [in] | lhs | the left hand side value of the operand
  [in] | rhs | the right hand side value of the operand

Returns
  an array with a modulo operation performed on each element of `lhs` and `rhs`